﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NFlickr.Resource;

namespace NFlickr.Core.Search
{
    public class PhotoSearch
    {
        public User User
        {
            get;
            set;
        }

        private IList<string> _photoTags;
        public IList<string> PhotoTags
        {
            get
            {
                if (_photoTags == null)
                {
                    _photoTags = new List<string>();
                }
                return _photoTags;
            }
            set
            {
                _photoTags = value;
            }
        }

        public TagMode TagMode
        {
            get;
            set;
        }

        public SearchPrivacy SearchPrivacy
        {
            get;
            set;
        }

        public int CountPerPage
        {
            get;
            set;
        }
        public int CurrentPage
        {
            get;
            set;
        }

        public int Pages
        {
            get;
            internal set;
        }

        public int Count
        {
            get;
            internal set;
        }

    }
}
